cancel
Showing results for 
Search instead for 
Did you mean: 
cancel

installation PI1.2 basic license with LMS4.0 licese for 100devices

kwansoo kim
Beginner
Beginner

Hi,

I’m stuck in some problem with installation of LMS4.0 in customer site.

Please give me feedback for following situation.

- we purchase a LMS4.0(CWLMS-4.0-100-K9) but couldn’t install it on Windows server 2008 R2 64bit because those things don’t support each other.

- I need to upgrade the LMS4.0 to LMS4.2 that is supporting Windows server 2008 R2 64bit.

- So, I ordered following items via product update tool (http://www.cisco.com/upgrade)

Online Order ID: UG240537

  Item Requested:

Product Number     Product Description                                              

L-PI12-100-M=      LMS 4.x to Prime Infrastructure 1.2 Minor Upg 100 Device   

R-PI12-BASE-K9=    Prime Infrastructure 1.2 Base License and Software          

- In this status, how to install LMS4.2 with license for 100 devices?

  

   - If I install R-PI12-BASE-K9 first, can i enter a licese for 100 devices for CWLMS-4.0-100-K9 into PI1.2?

5 REPLIES 5

Marvin Rhoads
VIP Community Legend VIP Community Legend
VIP Community Legend

Cisco Prime LMS and Cisco Prime Infrastructure are completely separate products. It can be a bit confusing since PI purchases also include the license for LMS. However they cannot coexist on the same installation. Each requires a separate host or VM.

In your case, the upgrade you purchased entitles you to install and use either PI or LMS (or both - so long as the combined managed devices is no more than 100). You should be able to use the Product Authorization Keys (PAKs) to download the necessary license (.lic) files for both LMS and PI. So go ahead and install your LMS 4.2 (NOT PI 1.2). Apply the license file and you will have a licensed LMS.

Don't forget to update to the current LMS 4.2.3 and update all your device packages. See the deployment guide for a good description of getting started:

http://www.cisco.com/en/US/docs/solutions/SBA/August2012/Cisco_SBA_BN_PrimeLMSDeploymentGuide-Aug2012.pdf

(Never mind the warning saying it's outdated - it was not updated as of April 2013.)

By the way, you could have used the LMS 4.0.1 patch to install on Windows Server 2008 R2 using your LMS 4.0 license file and gotten up and running with that. In any case LMS 4.2 is a better path for you - lots of bug fixes and new/improved features.

Thanks Marvin,

I need to know followings,

- If i use my LMS 4.0 license file, i should install the LMS4.0.1 on windows server 2008 R2 first, right?

   and then apply an  LMS 4.0.1 patch to install on Windows Server 2008 R2, so i can complete installation of all.

   Actually i have an installation CD for LMS4.0 only... never been installed on any server.

   i guess my LMS4.0 license file would be worked well on LMS4.0.1 on windows server 2008 R2. doesn't it?

- If i go to LMS4.2 upgrade, should i install LMS4.2 eval version first?

   What is the next step?

   Could you explain for detail?

   Many thanks,

If you choose to go with 4.0.1 installation, you start with the patch file available on cisco.com download. executing it will prompt you for the 4.0 installation media. During the installation process you will be prompted for your license file. The .lic file issued for 4.0 will work with 4.0.1.

I would not recommend that course of action since there's no good reason I can think of to run 4.0 (or 4.0.1) if you have the upgrade to 4.2 available.

Since it is a new install, you can install 4.2 directly using the eval version. You can get your license file (different file required for 4.2 vs. 4.0 / 4.0.1) either before or after you do that. Applying the license file will make the evaluation version licensed.

After you install and licesne the LMS software, proceed with your deployment as applicable for your environment according to the deployment guide.

Hi Marvin

please, I have a doubt about L-CWLMS-4.0 and L-PI12-100_M  CON-SAU-PI12LF1H , LMS4.0 is running in a server in my client, and this client bought L-PI12-100 License, so my doubt is about the procedure to install this license in LMS4 in production, Can you tell me o send me a link to install it?

Regards

Your client's purchase should have resulted in them being issued Product Activation Keys (PAKs) entitling them to license PI 1.2 (base), PI 1.2 (lifecycle 100 devices) and LMS 4.0 (lifecycle). Additionally the CON-SAU part entitles them to upgrade their PI to the current (2.0 as of right now) release and LMS to the latest (4.2.4).

So they have LMS 4 installed and running. Is it currently using the built-in temporary evaluation license? If so, they need to use the PAK they received to request a license file.

You can do this via the self-service portal (Choose "Get new licenses from a PAK or token" and enter your PAK number) or via contacting the TAC and requesting a case be opened with the licensing team. Either method will get them a license file (*.lic). With that in hand, simply go to your LMS and load the license via Admin > System > License Management as described here.

If they upgrade to LMS 4.2 (recommended), they will need to request an upgrade PAK (entitled per the CON-SAU part they purchased) and similarly obtain and install the new license. Upgrades to PI from 1.x to 2.0 (Base and Lifecycle) do not require a new license file. (PI 2.0 Assurance does require a new license file.)

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community: